#include <stdio.h>
#include <gtk/gtk.h>
#include "message-menuitem.h"

static gboolean button_press(GtkWidget *widget, GdkEvent *event)
{
  GdkEventButton *button_event;

  if(event->type == GDK_BUTTON_PRESS) {
    button_event = (GdkEventButton *)event;
    gtk_menu_popup(GTK_MENU(widget), NULL, NULL, NULL, NULL, 
        button_event->button, button_event->time);
    return TRUE;
  }

  return FALSE;
}

int main(int argc, char *argv[])
{
  GtkWidget *window;
  GtkWidget *menu;
  GtkWidget *menu_items;
  GtkWidget *vbox;
  GtkWidget *button;

  gtk_init(&argc, &argv);

  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_size_request(window, 200, 100);
  gtk_window_set_title(GTK_WINDOW(window), "Menu Example");
  gtk_container_set_border_width(GTK_CONTAINER(window), 10);

  g_signal_connect(G_OBJECT(window), "delete_event", G_CALLBACK(gtk_main_quit), NULL);

  menu = gtk_menu_new();
  
  menu_items = message_menuitem_new();
  message_menuitem_set_message(MESSAGE_MENUITEM(menu_items), "Your Friend", "I just wanted to say hello.",
      "2 minutes ago", "Pidgin", "pidgin");
  gtk_widget_show(menu_items);
  gtk_menu_shell_append(GTK_MENU_SHELL(menu), menu_items);

  menu_items = message_menuitem_new();
  message_menuitem_set_message(MESSAGE_MENUITEM(menu_items), "Some Guy", "I had cake for lunch #cakelunchie",
      "1 hour ago", "Gwibber", "gwibber");
  gtk_widget_show(menu_items);
  gtk_menu_shell_append(GTK_MENU_SHELL(menu), menu_items);

  vbox = gtk_vbox_new(FALSE, 0);
  gtk_container_add(GTK_CONTAINER(window), vbox);
  gtk_widget_show(vbox);

  button = gtk_button_new_with_label("Example");
  g_signal_connect_swapped(G_OBJECT(button), "event", G_CALLBACK(button_press), G_OBJECT(menu));
  gtk_box_pack_start(GTK_BOX(vbox), button, TRUE, TRUE, 0);
  gtk_widget_show(button);

  gtk_widget_show(window);

  gtk_main();

  return 0;
}
