/*
 * message-menuitem.h - A menuitem subclass to display a notification message.
 */

#ifndef __MESSAGE_MENUITEM_H__
#define __MESSAGE_MENUITEM_H__

#include <glib.h>
#include <gtk/gtkmenuitem.h>

G_BEGIN_DECLS

#define MESSAGE_MENUITEM_TYPE             (message_menuitem_get_type ())
#define MESSAGE_MENUITEM(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), MESSAGE_MENUITEM_TYPE, MessageMenuItem))
#define MESSAGE_MENUITEM_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), MESSAGE_MENUITEM_TYPE, MessageMenuItemClass))
#define IS_MESSAGE_MENUITEM(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MESSAGE_MENUITEM_TYPE))
#define IS_MESSAGE_MENUITEM_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), MESSAGE_MENUITEM_TYPE))

typedef struct _MessageMenuItem       MessageMenuItem;
typedef struct _MessageMenuItemClass  MessageMenuItemClass;

struct _MessageMenuItem
{
  GtkMenuItem parent;

  GtkWidget *hbox;
  GtkWidget *image;
  GtkWidget *label;
};

struct _MessageMenuItemClass
{
  GtkMenuItemClass parent_class;
};

GType       message_menuitem_get_type(void);
GtkWidget*  message_menuitem_new(void);
void        message_menuitem_set_message(MessageMenuItem *item, const char *summary, const char *body, 
                const char *timestamp, const char *app_name, const char *icon_name);

G_END_DECLS

#endif /* __MESSAGE_MENUITEM_H__ */
