"""
About.py
by Jason Conti
February 19, 2010
updated: March 28, 2011

Shows the About dialog for the applet.
"""

from gi.repository import Gtk

import Icon

from Globals import VERSION, WEBSITE
from Translations import _

license = _("""
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
""")

def show_about():
  about = Gtk.AboutDialog()

  #about.set_authors("Jason Conti <jason.conti@gmail.com>")
  about.set_comments(_("View recent notifications"))
  about.set_copyright(_(u"Copyright \xa9 2010 Jason Conti."))
  about.set_license(license)
  about.set_translator_credits(_("translator-credits"))

  icon = Icon.load("recent-notifications")
  if icon != None:
    about.set_logo(icon)

  about.set_name(_("Recent Notifications"))
  about.set_version(VERSION)
  about.set_website(WEBSITE)

  about.connect("response", lambda self, *args: self.destroy())
  about.show_all()

